Bug 168715 - [maintainer] devel/premake4, lang/ikarus, lang/stklos, lang/ypsilon: convert to OptionsNG and other small fixes
[maintainer] devel/premake4, lang/ikarus, lang/stklos, lang/ypsilon: convert ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: sylvio
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 14:40 UTC by Vitaly Magerya
Modified: 2012-06-10 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.50 KB, patch)
2012-06-05 14:40 UTC, Vitaly Magerya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2012-06-05 14:40:11 UTC
* Switch NOPORTDOCS and NOPORTEXAMPLES to their OptionsNG
  equivalents for devel/premake4, lang/ikarus, lang/stklos
  and lang/ypsilon.

* Add mutual conflicts to lang/ikarus and lang/petite-chez
  as they both install bin/scheme-script (reported by
  Sulev-Madis Silber with his ports conflicts checker).

* Only define NO_PACKAGE for lang/ikarus when PACKAGE_BUILDING
  is set (i.e. on the pointyhat cluster).

* Add regression-test target to lang/ypsilon.

Fix: Patch attached with submission follows:
Comment 1 sylvio freebsd_committer 2012-06-05 21:04:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 2 sylvio freebsd_committer 2012-06-08 22:24:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2012-06-08 22:27:52 UTC
sylvio      2012-06-08 21:27:42 UTC

  FreeBSD ports repository

  Modified files:
    lang/petite-chez     Makefile 
    lang/stklos          Makefile 
    lang/ypsilon         Makefile 
  Log:
  - Switch NOPORTDOCS and NOPORTEXAMPLES to their OptionsNG
  equivalents for devel/premake4, lang/ikarus, lang/stklos
  and lang/ypsilon.
  
  - Add mutual conflicts to lang/ikarus and lang/petite-chez
  as they both install bin/scheme-script (reported by
  Sulev-Madis Silber with his ports conflicts checker).
  
  - Only define NO_PACKAGE for lang/ikarus when PACKAGE_BUILDING
  is set (i.e. on the pointyhat cluster).
  
  - Add regression-test target to lang/ypsilon.
  
  PR:             ports/168715
  Submitted by:   Vitaly Magerya <vmagerya@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.11      +3 -0      ports/lang/petite-chez/Makefile
  1.26      +1 -1      ports/lang/stklos/Makefile
  1.5       +6 -3      ports/lang/ypsilon/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2012-06-10 01:07:55 UTC
sylvio      2012-06-10 00:07:41 UTC

  FreeBSD ports repository

  Modified files:
    devel/premake4       Makefile 
  Log:
  - Switch NOPORTDOCS and NOPORTEXAMPLES to their OptionsNG
  equivalents for devel/premake4, lang/ikarus, lang/stklos
  and lang/ypsilon.
  
  PR:             ports/168715
  Submitted by:   Vitaly Magerya <vmagerya@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +1 -1      ports/devel/premake4/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2012-06-10 01:11:13 UTC
sylvio      2012-06-10 00:11:01 UTC

  FreeBSD ports repository

  Modified files:
    lang/ikarus          Makefile 
  Log:
  - * Switch NOPORTDOCS and NOPORTEXAMPLES to their OptionsNG
  equivalents for devel/premake4, lang/ikarus, lang/stklos
  and lang/ypsilon.
  
  * Add mutual conflicts to lang/ikarus
  
  - Only define NO_PACKAGE for lang/ikarus when PACKAGE_BUILDING
  is set (i.e. on the pointyhat cluster).
  
  PR:             ports/168715
  Submitted by:   Vitaly Magerya <vmagerya@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.7       +6 -1      ports/lang/ikarus/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"